.app {
    background: rgb(42,43,63);
    background: linear-gradient(90deg, #3a5577 0%, #34495e 100%);
}

header {
    background-image: url("../assets/images/wave6.svg");
    background-size: 100%;
    
    background-repeat: no-repeat;
    max-width: 100%;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    section {
        background: #2c3e50;
        color : white;
        display: grid;
        grid-template-columns: 1fr 5fr 1fr;

        .reseau {
            padding: 1rem;
            fa-icon {
                font-size: large;
            }
            fa-icon:hover {
                cursor: pointer;
            }
            .youtube:hover {
                color: #ff0000;
            }
            .twitter:hover {
                color: #00acee;
            }
        }

        .titre-logo {
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .login button {
            margin: auto;
            padding: 10px;
            font-size: large;
            border: none;
            color: white;
            background: #2c3e50;
            

        }
        .login button:hover {
            cursor: pointer;
            color: #3f7ac8 ;
        }
    }
}

nav {
    ul {
        padding: 0;
        width: 100%;
        display: grid;
        grid-template-columns: repeat(6, 1fr);
        margin-top: 0;
        background-color: #2c3e50;
        
        li {
            text-align: center;
            list-style: none;
            z-index: 1;

            a {
                text-decoration: none;
                color: #d8d8d8;
                //border: #2d2e40 1px solid;
                display: block;
                height: 4rem;
                display: flex;
                align-items: center;
                justify-content: center;

            }
            
            a:hover {
                border-bottom-left-radius: 5px;
                border-bottom-right-radius: 5px;
                background: #34495e;
            }
            svg:hover {
                position: absolute;
                width: 120px;
                left: -40px;
                z-index: -1;
            }
            img {
                background-color: #d8d8d8;
            }
            /* Applied when link is active */
            .active-link {
                border-bottom: #3f7ac8 1px solid;
                background:#34495e;
                background-size: 100%;
                left: -40px;
                background-repeat: no-repeat;
            }
            
        }
        
    }
}

.background {
    background:#2c3e50;

    
    margin-top: 2rem;
    bottom: 0;
    width: 100%;
    text-align: center;
    color: #d8d8d8;
    background-size: 100%;
    padding-top: 1rem;
    a {
        color: #d8d8d8;
        text-decoration: none;
    }
}


@media screen and (min-width:640px){

    header {
        height: 250px;
        section {
            .reseau {
                margin: auto;
                fa-icon{
                padding: 1rem;
                }
            }
            .login {
                margin: auto;
            }
            .login button {
                margin: auto;
                padding: 1rem;
            }
        }
    }

    nav {
        .mat-body, .mat-body-1, .mat-typography .mat-body, .mat-typography .mat-body-1, .mat-typography {
            font: 900;
        }
        ul {
            padding: 0;
            width: 50%;
            display: grid;
            grid-template-columns: repeat(6, 1fr);
            margin: auto;
            justify-content: center;
            grid-column-gap: 0;
            
            li {
                text-align: center;
                list-style: none;
                background-color: #2c3e50;

                .active-link {
                    background: #34495e;
                }
                
                a {
                    text-decoration: none;
                    color: white;
                    background: #2c3e50;
                    border-radius: 5px;
                    //border: #2d2e40 1px solid;
                }
            }
        }
    }
    
    
}

